metadata:
  name: grilo
  format: "Apertis Test Definition 1.0"
  image-types:
    minimal: [ armhf-internal, armhf, arm64, amd64 ]
    target:  [ armhf-internal, armhf, amd64 ]
    basesdk: [ amd64 ]
    sdk:     [ amd64 ]
  image-deployment:
    - APT
  type: functional
  exec-type: automated
  priority: medium
  description: "Check grilo metadata notifications, and filesystem browsing."
  maintainer: "Apertis Project"

  expected:
    - "The output should be similar to this one:"
    - |
        >GriloTest: filesystem notifications
        GriloTest: received 'content-changed' signal: file:///tmp/test-grilo-Y7UF7X added
        GriloTest: received 'content-changed' signal: file:///tmp/test-grilo-Y7UF7X added
        GriloTest: received 'content-changed' signal: file:///tmp/test-grilo-Y7UF7X/subdir added
        GriloTest: received 'content-changed' signal: file:///tmp/test-grilo-Y7UF7X/subdir added
        GriloTest: received 'content-changed' signal: file:///tmp/test-grilo-Y7UF7X changed
        GriloTest: received 'content-changed' signal: file:///tmp/test-grilo-Y7UF7X/subdir removed
        GriloTest: received 'content-changed' signal: file:///tmp/test-grilo-Y7UF7X/subdir removed
        GriloTest: received 'content-changed' signal: file:///tmp/test-grilo-Y7UF7X removed
        GriloTest: received 'content-changed' signal: file:///tmp/test-grilo-Y7UF7X removed

        (python3:1426): Grilo-WARNING **: [filesystem] grl-filesystem.c:711: Got error: No such file or directory
        ApertisTest: copying medias to /tmp/test-grilo-Y7UF7X
        GriloTest: filesystem browse
        GriloBrowserMixin: add media Videos/big_buck_bunny_smaller.ogv
        GriloBrowserMixin: add media Pictures/320px-European_Common_Frog_Rana_temporaria.jpg
        GriloBrowserMixin: add media Pictures/collabora-logo-big.png
        GriloBrowserMixin: add media Music/Ghosts.pls
        GriloBrowserMixin: add media Music/Generic_Sounds.pls
        GriloBrowserMixin: add media Music/Ghosts.m3u
        GriloBrowserMixin: add media Music/generic.oga
        GriloBrowserMixin: add media Music/generic.wav
        GriloBrowserMixin: add media Music/generic.mp3
        GriloBrowserMixin: add media Music/generic.flac
        GriloBrowserMixin: add media Music/generic-no-artwork.mp3
        GriloTest: playlist
        GriloBrowserMixin: add media Music/audio/generic.mp3
        GriloBrowserMixin: add media Music/audio/generic.flac
        GriloBrowserMixin: add media Music/audio/generic.oga
        .
        ----------------------------------------------------------------------
        Ran 1 test in 0.076s
        OK
    - "If any test failed, they will be listed instead of the success message:"
    - |
        >[python backtrace]
        FAILED (errors=1)

install:
  deps:
    - apertis-tests
    - gir1.2-grilo-0.3
    - grilo-plugins-0.3
    - python3
    - python3-gi
  git-repos:
    - url: https://gitlab.apertis.org/infrastructure/apertis-tests.git
      branch: 'apertis/v2021dev1'

run:
  steps:
    - "# Enter test directory:"
    - cd apertis-tests
    - "# Execute the following command:"
    - common/run-test-in-systemd --timeout=900 --basename grilo/automated/test-grilo.py

parse:
  pattern: ^(?P<test_case_id>[a-zA-Z0-9_\-\./]+):\s*(?P<result>pass|fail|skip|unknown)$
